package org.databinding.pojo;

import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeSupport;

public class WrapperPerson {
	private String firstName;
	private String lastName;
	private Boolean married;
	private Integer age;
	private String middleName;

	private PropertyChangeSupport propertyChangeSupport = new PropertyChangeSupport(
			this);

	public WrapperPerson() {
	}

	public void addPropertyChangeListener(String propertyName,
			PropertyChangeListener listener) {
		propertyChangeSupport.addPropertyChangeListener(propertyName, listener);
	}

	public void removePropertyChangeListener(PropertyChangeListener listener) {
		propertyChangeSupport.removePropertyChangeListener(listener);
	}

	public String getMiddleName() {
		return middleName;
	}

	public void setMiddleName(String middleName) {
		this.middleName = middleName;
	}

	public String getFirstName() {
		return firstName;
	}

	public void setFirstName(String firstName) {
		propertyChangeSupport.firePropertyChange("firstName", this.firstName,
				this.firstName = firstName);
	}

	public String getLastName() {
		return lastName;
	}

	public void setLastName(String lastName) {
		propertyChangeSupport.firePropertyChange("lastName", this.lastName,
				this.lastName = lastName);
	}

	public Boolean isMarried() {
		return married;
	}

	public void setMarried(Boolean married) {
		propertyChangeSupport.firePropertyChange("married", this.married,
				this.married = married);
	}

	public Integer getAge() {
		return age;
	}

	public void setAge(Integer age) {
		propertyChangeSupport.firePropertyChange("age", this.age,
				this.age = age);
	}

}
